Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.vfs.helpers
Class AbstractVirtualFileVisitor

    java.lang.Object
      org.jboss.virtual.plugins.vfs.helpers.AbstractVirtualFileVisitor

All Implemented Interfaces:
  VirtualFileVisitor

Direct Known Subclasses:
  FilterVirtualFileVisitor

    public abstract class AbstractVirtualFileVisitor

extends java.lang.Object
implements VirtualFileVisitor

AbstractVirtualFileVisitor.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Constructor Summary
`protected` | `AbstractVirtualFileVisitor()` Create a new AbstractVirtualFileVisitor using the default visitor attributes
`protected` | `AbstractVirtualFileVisitor(VisitorAttributes attributes)` Create a new AbstractVirtualFileVisitor using the default visitor attributes

Method Summary
`VisitorAttributes` | `getAttributes()` Get the search attribues for this visitor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.virtual.VirtualFileVisitor
`visit`

Constructor Detail

### AbstractVirtualFileVisitor

    protected AbstractVirtualFileVisitor()

  Create a new AbstractVirtualFileVisitor using the default visitor attributes

### AbstractVirtualFileVisitor

    protected AbstractVirtualFileVisitor(VisitorAttributes attributes)

  Create a new AbstractVirtualFileVisitor using the default visitor attributes

  Parameters:
    `attributes` - the attributes, uses the default if null

Method Detail

### getAttributes

    public VisitorAttributes getAttributes()

  Description copied from interface: `VirtualFileVisitor`
  Get the search attribues for this visitor

  Specified by:
    `getAttributes` in interface `VirtualFileVisitor`
  Returns:
    the attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD